%define upname loki
%define majorversion 0
Name: %{upname}-lib
Version: 0.1.7
Release: 5%{?dist}
Summary: Loki C++ Library of design patterns and idioms

Group: Development/Libraries
License: MIT
# License text not included
# https://sourceforge.net/tracker/?func=detail&aid=3027570&group_id=29557&atid=396647
URL: http://sourceforge.net/projects/loki-lib
Source0: http://prdownloads.sourceforge.net/loki-lib/%{upname}-%{version}.tar.gz
Buildroot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
A C++ library of designs, containing flexible implementations of common design
patterns and idioms.

%package devel
Summary: The Loki C++ headers and development libraries
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glibc-headers
%description devel
Headers and shared object symlinks for the Loki C++ Library

%package doc
Summary: The Loki C++ html docs
Group: Documentation
BuildArch: noarch
%description doc
HTML documentation files for the Loki C++ Library

%prep
%setup -n %{upname}-%{version} -q
chmod -x doc/html/*
rm doc/html/installdox
iconv -f ISO88591 -t utf8 CHANGES -o CHANGES

%build
make %{?_smp_mflags} CXXFLAGS="%{optflags}" build-static build-shared
(cd lib && ln -s lib%{upname}.so.%{version} lib%{upname}.so)
(cd lib && ln -s lib%{upname}.so.%{version} lib%{upname}.so.%{majorversion})

%install
rm -rf %{buildroot}
make %{?_smp_mflags} -C include prefix=%{buildroot}%{_usr} install
mkdir -p %{buildroot}%{_libdir}
cp -a lib/lib%{upname}.* %{buildroot}%{_libdir}

%check
make %{?_smp_mflags} CXXFLAGS="%{optflags}" check

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc CHANGES
%{_includedir}/*
%{_libdir}/*.so
%exclude %{_libdir}/*.a

%files doc
%defattr(-,root,root,-)
%doc doc/html doc/flex doc/yasli

%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 09 2010 Sergio Pascual <sergiopr@fedoraproject.org> - 0.1.7-3
- Bug for license text missing

* Thu Aug 06 2009 Sergio Pascual <sergiopr@fedoraproject.org> - 0.1.7-2
- Sources uploaded
- All patches removed

* Mon Jul 27 2009 Sergio Pascual <sergiopr@fedoraproject.org> - 0.1.7-1
- New upstream version

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 21 2008 Sergio Pascual <sergiopr@fedoraproject.org> - 0.1.6-6
- Patch to build with GCC 4.3

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.1.6-5.1
- Autorebuild for GCC 4.3

* Mon Aug 27 2007 Sergio Pascual <spr at astrax.fis.ucm.es> 0.1.6-4.1
- Rebuild for Fedora 8 by bad binutils in ppc32

* Thu Jul 05 2007 Sergio Pascual <spr@astrax.fis.ucm.es> 0.1.6-4
- Installing libraries in _libdir instead of prefix/lib

* Tue Jul 03 2007 Sergio Pascual <spr@astrax.fis.ucm.es> 0.1.6-3
- Header files in directory loki

* Sun Jul 01 2007 Sergio Pascual <spr@astrax.fis.ucm.es> 0.1.6-2
- Disabled test suite, does not work in x86_64
- Added requires for -devel package

* Tue Jun 26 2007 Sergio Pascual <spr@astrax.fis.ucm.es> 0.1.6-1
- fixed installation of .h files
- fixed version number

* Tue Jun 11 2007 Sergio Pascual <spr@astrax.fis.ucm.es> 0.1.6-0.3
- Removed the unused dependency to libm in the dynamic library

* Mon Jun 11 2007 Sergio Pascual <spr@astrax.fis.ucm.es> 0.1.6-0.2
- Removed the unused dependency to libpthread in the dynamic library

* Thu Jun 07 2007 Sergio Pascual <spr@astrax.fis.ucm.es> 0.1.6-0.1
- Initial fedora rpm release
